Bug 1730752 - [RFE] Add ability to export content view like the CDN
Summary: [RFE] Add ability to export content view like the CDN
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Inter Satellite Sync
Version: 6.5.0
Hardware: x86_64
OS: Linux
unspecified
medium vote
Target Milestone: 6.7.0
Assignee: Chris Roberts
QA Contact: jcallaha
URL: https://projects.theforeman.org/issue...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-17 14:21 UTC by Chris Roberts
Modified: 2020-02-05 19:35 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 27374 Normal Resolved [RFE] Add ability to export content view like the CDN 2020-02-03 20:22:19 UTC
Github Katello hammer-cli-katello pull 666 'None' closed Fixes #27374 - Add export-default to export default cv like CDN 2020-02-03 20:22:18 UTC
Red Hat Knowledge Base (Solution) 4728221 None None None 2020-01-10 20:20:49 UTC

Internal Links: 1789936

Description Chris Roberts 2019-07-17 14:21:46 UTC
Description of problem:
Some customers do not need a tar option and just want to have their internal Red Hat Satellite 6 sync from the connected Red Hat Satellite. Add an option for this please.

Version-Release number of selected component (if applicable):

Red Hat Satellite 6.5


How reproducible:


Steps to Reproduce:
1. Sync a repo and create a content view
2. export that
3.

Actual results:
Get a tar file

Expected results:
I want just the directory tree instead of a tar file

Comment 5 Bryan Kearney 2019-07-22 22:04:48 UTC
Upstream bug assigned to chrobert@redhat.com

Comment 6 Bryan Kearney 2019-07-22 22:04:50 UTC
Upstream bug assigned to chrobert@redhat.com

Comment 12 Bryan Kearney 2019-12-17 19:04:52 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/27374 has been resolved.

Comment 18 jcallaha 2020-02-05 19:35:57 UTC
Verified in Satellite 6.7 Snap 10

Add repositories
Switch all download policies to immediate
Run the export command

[root@my.sat ~]# hammer content-view version export-default --export-dir /tmp
Default content view export is available at /tmp

[root@my.sat ~]# ll /tmp/Default_Organization/Library/content/dist/rhel/server/7/7Server/x86_64/ansible/2.8/os/Packages/a/ansible-2.8.
ansible-2.8.0-1.el7ae.noarch.rpm  ansible-2.8.2-1.el7ae.noarch.rpm  ansible-2.8.4-1.el7ae.noarch.rpm  ansible-2.8.6-1.el7ae.noarch.rpm  ansible-2.8.8-1.el7ae.noarch.rpm
ansible-2.8.1-1.el7ae.noarch.rpm  ansible-2.8.3-1.el7ae.noarch.rpm  ansible-2.8.5-2.el7ae.noarch.rpm  ansible-2.8.7-1.el7ae.noarch.rpm


Note You need to log in before you can comment on or make changes to this bug.